import { SourceAnalyzer } from '.';
import { Field } from '../../types/field';
import { FieldType } from '../../types/field_type';
import { Source } from '../../types/source';
export declare class IssuesSourceAnalyzer extends SourceAnalyzer {
    source: Source;
    validSortFields: Field[];
    constructor();
    isFieldValid(field: Field): boolean;
    fieldType(field: Field): FieldType;
}
